%global rbname rmail
Summary: a lightweight mail library
Name: ruby-%{rbname}

%global momorel 1

Version: 0.17
Release: %{momorel}m
Group: Development/Libraries
License: Modified BSD
URL: http://www.lickey.com/rubymail/

%NoSource 0 http://www.lickey.com/rubymail/download/rubymail-%{version}.tar.gz 68ed70492541086b4bf17e8e75857e2e

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: ruby

Requires: ruby

%description
This is RubyMail, a lightweight mail library containing various
utility classes and modules that allow Ruby scripts to parse,
modify, and generate MIME mail messages.

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q -n rubymail-%{version}

%build
ruby install.rb config \
    --bin-dir=%{_bindir} \
    --rb-dir=%{ruby_libdir} \
    --so-dir=%{ruby_archdir} \
    --data-dir=%{_datadir}

ruby install.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby install.rb config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_libdir} \
    --so-dir=%{buildroot}%{ruby_archdir} \
    --data-dir=%{buildroot}%{_datadir}
ruby install.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS NOTES README THANKS TODO doc guide tests
%{ruby_libdir}/rmail
%{ruby_libdir}/rmail.rb

%changelog
* Thu Jan  6 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.17-1m)
- version up
- change License to 'Modified BSD'

* Wed Oct 22 2003 zunda <zunda at freeshell.org>
- (0.8-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Mon Aug 04 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8-3m)
- merge from ruby-1_8-branch.

* Sat Aug 02 2003 Kenta MURATA <muraken2@nifty.com>
- (0.8-2m)
- rebuild against ruby-1.8.0.

* Sat Nov 09 2002 kourin <kourin@fh.freeserve.ne.jp>
- (0.8-1m)
- spec was writtern by TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
